Bug 1016053 - FSW 6.0.0 ER4 switchyard/demos/orders Readme.md steps inconsistent with other quickstarts
FSW 6.0.0 ER4 switchyard/demos/orders Readme.md steps inconsistent with other...
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Keith Babo
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 08:08 EDT by ppecka
Modified: 2018-03-29 17:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The wording of the switchyard/demos/orders Readme.md file was inconsistent with those of the other quick starts. To see amended instructions, please refer to the bug ticket.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ppecka 2013-10-07 08:08:53 EDT
Description of problem:
Please update Readme file for switchyard/demos/orders with appropriate maven goals which should be taken to deploy application. There is no need to manually copy built war file when jboss-as plugin is configured in pom.xml, this can be copy&pasted for example from quickstarts/switchyard/bean-service/Readme.md mainly:

Running the quickstart
======================

JBoss AS 7
----------
1. Build the quickstart:

        mvn clean install

2. Start JBoss AS 7 in standalone mode:

        ${AS}/bin/standalone.sh

3. Deploy the Quickstart :

        mvn jboss-as:deploy

4. Submit a webservice request to invoke the SOAP gateway.  There are a number of ways to do this :
      - Submit a request with your preferred SOAP client - src/test/resources/xml contains sample
        requests and the responses that you should see
      - Use the simple bundled SOAP client and the sample request XML e.g.
<br/>
```
            mvn exec:java


Version-Release number of selected component (if applicable):
soa-6.0.0-ER4
Comment 1 Douglas Palmer 2014-10-08 01:27:41 EDT
Out of date. This was fixed long ago.

Note You need to log in before you can comment on or make changes to this bug.